Though we do have many clients who choose to use other browsers, Blackbaud Sphere is best used in Internet Explorer 7, or Internet Explorer 8. Internet Explorer 9,10, and 11 can also be used with Sphere but may have compatibility issues. To limit these issues Compatibility Mode can be enabled by following these steps.

Add Sphere to Compatibility View Settings
  1. Open Internet Explorer
  2. Open the Tools menu in the upper left corner
    • Note: this can be done by holding down Alt + T
  3. Click Compatibility View Settings
  4. Within the Add this website: box enter "kintera.com" without quotes and kintera.org
  5. Click Add
  6. Click Close
Certain organization may have security settings in place which can prevent the above steps from working correctly. If you have followed these steps and still have issues with Sphere please follow these additional steps.
  1. Close all Internet Explorer windows
  2. Navigate to the default location where Internet Explorer is located 
    • Note: Internet Explorer is typically in the Start Menu > All Programs
       
  3. Right click on the Internet Explorer Icon
  4. Click Run as administrator

    Note: Since these settings can potentially circumvent security settings that are in place it is recommended that the IT company managing your network be aware of this change. Once these settings have been changed it may be necessary to follow steps 1-6 in Add Sphere to Compatibility View Settings
     
For working in the Blackbaud Sphere back end, Internet Explorer is the only fully supported browser. However, we support virtually all browsers for front end CMS and Event sites. For these sites, we certainly support all the major browsers including Mozilla Firefox, Google Chrome, and Safari.

That being said, browser specific issues may need to go to our Professional Services Team, or there may be a user configuration error that we ultimately are not able to troubleshoot. Examples would be a custom coding issue that renders incorrectly in certain browsers, or an end user with many plug-ins who can't make a donation while other supporters using the same browser have no issue.

If you would like to make a suggestion regarding internet browser compatibility, please refer to our Idea Bank.